&emsp;&emsp;编译警告不会影响正确性评判和得分，如图2，编译警告中给出代码规范提示或者风险提醒，可能意味着程序中隐含的大错误，也可能确实没有问题。建议引导学生关注警告信息，尽量消灭警告信息，提升代码质量。  
![图2评判结果中的编译警告](https://images.gitee.com/uploads/images/2020/0204/101131_c5fe9624_5656914.jpeg "2.jpg")
几种典型的编译警告示例以及处理办法：
- warning: `param' might be used uninitialized in this function。变量可能未初始化（或者未被赋值）就使用。此类错误有可能在某些时候能够通过正确性测试，有些时候错误，依赖于当时内存空间的初始值。
- warning: unused variable `param’。定义了一个变量，但未使用，可以删除。
- warning: control reaches end of non-void function。函数没有返回值，或者在某些分支条件下忘记返回值。
- warning: suggest parentheses around && within ||。代码里写了一个复杂的条件判断，例如：  

```
  if ( no[i][7] >= 'A' && no[i][7] <= 'Z' || (no[i][7，] - '0') %2 == 0 ) 
  最好改为：
  if ( ( (no[i][7] >= 'A') && (no[i][7] <= 'Z') ) || ( (no[i][7，] - '0') %2 == 0) )
  增强代码的可读性和可移植性。
```


